Skip to main content
POST
Associate records (labelled)

Supported products

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

fromObjectType
string
required

The type of the source object for the associations.

toObjectType
string
required

The type of the target object for the associations.

Body

application/json
inputs
object[]
required

An array of PublicAssociationMultiPost objects, each specifying the details of an association to be created. This includes the source and target objects and the types of associations to be applied.

Response

successful operation

completedAt
string<date-time>
required

The timestamp when the batch processing was completed, in ISO 8601 format.

results
object[]
required

An array of results for the batch operation, each representing a set of labels between an object pair.

startedAt
string<date-time>
required

The timestamp when the batch processing began, in ISO 8601 format.

status
enum<string>
required

The status of the batch processing request: "PENDING", "PROCESSING", "CANCELLED", or "COMPLETE".

Available options:
CANCELED,
COMPLETE,
PENDING,
PROCESSING

An object containing relevant links related to the batch request.

requestedAt
string<date-time>

The timestamp when the batch request was initially made, in ISO 8601 format.

Last modified on September 9, 2026